#### D.13.2.16 dimension

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  dimension(c); c cone
  dimension(f); f fan
  dimension(p); p polytope

Return:
  int, the dimension of the input

Example:

    LIB "gfan.lib";
    intmat M1[1][2]=
    1,0;
    cone c1=coneViaPoints(M1);
    dimension(c1);
    ==> 1
    intmat M2[2][2]=
    1,0,
    0,1;
    cone c2=coneViaPoints(M2);
    dimension(c2);
    ==> 2
    fan f = emptyFan(2);
    dimension(f);
    ==> -1
    insertCone(f,c1);
    dimension(f);
    ==> 1
    insertCone(f,c2);
    dimension(f);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.